Summary:     An AES-encryption tool for tar/cpio
Name:        aespipe
Version:     2.3d
Release:     2%{?dist}
License:     GPL
Group:       Applications/System
Source0:     http://loop-aes.sourceforge.net/%{name}/%{name}-v%{version}.tar.bz2
Patch0:      %{name}-2.3d-shellvar.patch
URL:         http://loop-aes.sourceforge.net/
Buildroot:   /var/tmp/%{name}-root
Provides:    %{name}%{?pext}
Requires:    gnupg sharutils
Prereq:      coreutils glibc
BuildPrereq: coreutils glibc-devel gcc make
ExclusiveOS: linux


%description
Aespipe is an AES-encryption tool, reading from standard input
and writing to standard output. It can be used to create and
restore encrypted tar or cpio archives and loop-AES compatible
encrypted disk images.


%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1


%build
%configure

%ifarch %{ix86}
%{__make} \
	x86
%endif
%ifarch x86_64
%{__make} \
	amd64
%endif

#%{__make} tests


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1

%{__install} -m 0755 {aespipe,bz2aespipe} ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0644 *.1                  ${RPM_BUILD_ROOT}%{_mandir}/man1


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README *.diff
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Aug 3 2008 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed May 16 2007 peter.pramberger@member.fsf.org 2.3d-2
- created

